Bug Hunting Session
Bug 86761 - FILEOPEN: RTF importer adds border to all images and charts
Summary: FILEOPEN: RTF importer adds border to all images and charts
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
4.5.0.0.alpha0+ Master
Hardware: Other All
: medium normal
Assignee: Miklos Vajna
URL:
Whiteboard: target:4.5.0 target:4.4.0.0.beta3 tar...
Keywords: bibisected, filter:rtf, regression
Depends on:
Blocks: RTF
  Show dependency treegraph
 
Reported: 2014-11-27 02:18 UTC by Luke
Modified: 2015-12-17 11:07 UTC (History)
4 users (show)

See Also:
Crash report or crash signature:


Attachments
Comparision RTF in Word vs Writer 4.5 vs Writer 4.2 (bottom) (184.85 KB, image/png)
2014-11-27 02:18 UTC, Luke
Details
Sample RTF with an image and a chart (830.88 KB, application/rtf)
2014-11-27 02:19 UTC, Luke
Details
screenshot from 43-all bibisect repo, version oldest. Deemed good for bibisect. (143.08 KB, image/png)
2014-11-29 20:34 UTC, Terrence Enger
Details
screenshot from daily dbgutil bibisect repo, version 2014-11-28. Deemed bad for bibisect. (115.97 KB, image/png)
2014-11-29 20:35 UTC, Terrence Enger
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Luke 2014-11-27 02:18:49 UTC
Created attachment 110096 [details]
Comparision RTF in Word vs Writer 4.5 vs Writer 4.2 (bottom)

Steps to reproduce:
1. Create a RTF file with an image or chart in Word
2. Open with Writer

In recent builds of writer, all images and charts have borders. Writer 4.1.6.2 did not add borders to the images.
Comment 1 Luke 2014-11-27 02:19:45 UTC
Created attachment 110097 [details]
Sample RTF with an image and a chart
Comment 2 tommy27 2014-11-28 19:40:10 UTC
confirmed under Win8.1x64 using 4.5.0.0.alpha0+
Build ID: 84a6d8eeaab540e5b2ea3baffd919903dff8c247
TinderBox: Win-x86@39, Branch:master, Time: 2014-11-22_23:41:04
Locale: it_IT
Comment 3 tommy27 2014-11-28 19:43:24 UTC
works fine in 4.3.3.2
Comment 4 Terrence Enger 2014-11-29 20:32:47 UTC
Within the range covered by the daily dbgutil bibisect repository, I see two renderings.  The older has less prominent borders, but they are still visible.  So, considering the reduced borders as "good", I am bibisecting something different from what the reporter sees.  Hence, I am leaving whiteboard bibisectRequest.

I shall soon attach screenshots from re-all bibisect repository version oldest and daily dbgutil bibisect repository version 2014-11-28.  Version 3.5.4.2, delivered with debian-wheezy, also shows the fainter bordersfrom `git bisect good`:

So, from `git bisect good`:

    8761c37f8074cd2488a151cf799b1be87139210a is the first bad commit
    commit 8761c37f8074cd2488a151cf799b1be87139210a
    Author: Miklos Vajna <vmiklos@collabora.co.uk>
    Date:   Sun Oct 26 03:14:45 2014 +0000

        2014-10-26: source-hash-3f5251675eeeeae56ea282fdeb09dbc53ce4aae6

    :100644 100644 5815ccf004eb2d93d27de845bbdb4ac6eb44ee97 80a4465966059848157bc8b7e286714cb61f47f9 M	build-info.txt
    :040000 040000 cbde8aeacd4536ac441afb1cf05fcf15249a9e95 d26344ac400779172637efd58c7a9065f7f5e7a3 M	opt

and from `git bisect log`:

    # bad: [4e1727a52e1be8a0d43875d47ce9ffa329743e63] 2014-11-19: source-hash-764600bc6175a32d119487afda2e8409f3395666
    # good: [b3130c846de5cf1b4be48b48dfc780bb369549fa] 2014-05-21
    git bisect start '4e1727a' 'oldest'
    # good: [d4ab3d6eff7e29da4ca33273c0c5e2ec97159181] 2014-08-20
    git bisect good d4ab3d6eff7e29da4ca33273c0c5e2ec97159181
    # good: [4d2047ed98f73c3d17ea2c003858a86c7c13d0e3] 2014-10-04
    git bisect good 4d2047ed98f73c3d17ea2c003858a86c7c13d0e3
    # bad: [efc81118e261b746192aed2c5dbe7edab5627d4f] 2014-10-27: source-hash-ae5ac4807cab26de2a149162576d2ef927cc8326
    git bisect bad efc81118e261b746192aed2c5dbe7edab5627d4f
    # good: [671ac8dc45cb809092bcabfe76006eb0948ee081] 2014-10-15: source-hash-defa080e585fb351bc4049b2f280d2e7e5256f6e
    git bisect good 671ac8dc45cb809092bcabfe76006eb0948ee081
    # good: [1204c9e2ffdf5edaefa13ec42ca7253c2e8301cb] 2014-10-21: source-hash-7caf64cd7d289993f00f78ee374010e353484608
    git bisect good 1204c9e2ffdf5edaefa13ec42ca7253c2e8301cb
    # good: [00915043693b5869e831a7d2853755ac14fce705] 2014-10-24: source-hash-6ba8b7f5eacac969e4781d63718083a05491b1bc
    git bisect good 00915043693b5869e831a7d2853755ac14fce705
    # bad: [8761c37f8074cd2488a151cf799b1be87139210a] 2014-10-26: source-hash-3f5251675eeeeae56ea282fdeb09dbc53ce4aae6
    git bisect bad 8761c37f8074cd2488a151cf799b1be87139210a
    # good: [e8b27a401d1d454687b5209ecfb11af7de9a703c] 2014-10-25: source-hash-1df0656c4bb139606081625fb19e39fbef9f8890
    git bisect good e8b27a401d1d454687b5209ecfb11af7de9a703c
    # first bad commit: [8761c37f8074cd2488a151cf799b1be87139210a] 2014-10-26: source-hash-3f5251675eeeeae56ea282fdeb09dbc53ce4aae6
Comment 5 Terrence Enger 2014-11-29 20:34:30 UTC
Created attachment 110234 [details]
screenshot from 43-all bibisect repo, version oldest.  Deemed good for bibisect.
Comment 6 Terrence Enger 2014-11-29 20:35:34 UTC
Created attachment 110235 [details]
screenshot from daily dbgutil bibisect repo, version 2014-11-28.  Deemed bad for bibisect.
Comment 7 Miklos Vajna 2014-12-13 23:31:50 UTC
Regression from 01a32b7d074511bed24044dc94e1159aea62722b (fdo#85179 RTF filter: import image border, 2014-10-23), assign.
Comment 8 Commit Notification 2014-12-14 10:37:39 UTC
Miklos Vajna committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=4568d1d298bf4fc98dcd86384743a04587a2fe6f

fdo#86761 RTF import: positive border width and fLine=0 means no border

It will be available in 4.5.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 9 Commit Notification 2014-12-14 11:16:18 UTC
Miklos Vajna committed a patch related to this issue.
It has been pushed to "libreoffice-4-4":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=e1de94244c1b0419c1c3415c02381e8b7a87abe0&h=libreoffice-4-4

fdo#86761 RTF import: positive border width and fLine=0 means no border

It will be available in 4.4.0.0.beta3.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 10 Miklos Vajna 2014-12-14 12:16:29 UTC
libreoffice-4-3 review: https://gerrit.libreoffice.org/13470
Comment 11 Commit Notification 2014-12-15 13:51:36 UTC
Miklos Vajna committed a patch related to this issue.
It has been pushed to "libreoffice-4-3":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=cfb770dc619fc33796b98ca900eb3fd7f714139e&h=libreoffice-4-3

fdo#86761 RTF import: positive border width and fLine=0 means no border

It will be available in 4.3.6.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 12 Robinson Tryon (qubit) 2015-12-17 11:07:16 UTC
Migrating Whiteboard tags to Keywords: (bibisected filter:rtf)
Remove redundant 'rtf_filter'.
[NinjaEdit]